import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.shipments.get(shipment_id='<id>')
if res is not None:
# handle response
pass
import { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.shipments.get("<id>");
// Handle the result
console.log(result);
}
run();
using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Shipments.GetAsync(
shipmentId: "<id>",
shippoApiVersion: "2018-02-08"
);
// handle response
package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.GetShipmentResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
GetShipmentResponse res = sdk.shipments().get()
.shipmentId("<id>")
.shippoApiVersion("2018-02-08")
.call();
if (res.shipment().isPresent()) {
// handle response
}
}
}
API key authentication using the ShippoToken scheme.
Format: Authorization: ShippoToken <API_TOKEN>
Example: Authorization: ShippoToken shippo_live_abc123
Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.
An array of object_ids of the carrier account objects to be used for getting shipping rates for this shipment.
If no carrier account object_ids are set in this field, Shippo will attempt to generate rates using all the carrier accounts that have the active field set.
An array with all available rates. If async has been set to false in the request, this will be populated with all available rates in the response. Otherwise rates will be created asynchronously and this array will initially be empty.
Waiting shipments have been successfully submitted but not yet been processed.
Queued shipments are currently being processed.
Success shipments have been processed successfully, meaning that rate generation has concluded.
Error does not occur currently and is reserved for future use.
Date the shipment will be tendered to the carrier. Must be in the format 2014-01-18T00:35:03.463Z.
Defaults to current date and time if no value is provided. Please note that some carriers require this value to be in the future, on a working day, or similar.
import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.shipments.get(shipment_id='<id>')
if res is not None:
# handle response
pass
import { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.shipments.get("<id>");
// Handle the result
console.log(result);
}
run();
using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Shipments.GetAsync(
shipmentId: "<id>",
shippoApiVersion: "2018-02-08"
);
// handle response
package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.GetShipmentResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
GetShipmentResponse res = sdk.shipments().get()
.shipmentId("<id>")
.shippoApiVersion("2018-02-08")
.call();
if (res.shipment().isPresent()) {
// handle response
}
}
}
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Shippo API Documentation","description":"Shippo is a multi-carrier shipping API for rates, labels, tracking, address validation, and customs across 40+ carriers, available over REST, official SDKs, or natural language through the hosted Shippo MCP server at mcp.shippo.com (OAuth) for AI assistants and agents.","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/shippo-f4b7b609/CzPpJjP8aG1OLSSj/logo/light.svg?fit=max\u0026auto=format\u0026n=CzPpJjP8aG1OLSSj\u0026q=85\u0026s=2fe6acfa46f91132348a2f3bf5f1b18a","dark":"https://mintcdn.com/shippo-f4b7b609/CzPpJjP8aG1OLSSj/logo/dark.svg?fit=max\u0026auto=format\u0026n=CzPpJjP8aG1OLSSj\u0026q=85\u0026s=3d04ad869d96fc212c40d790ac14a6ef"},"favicon":"https://mintcdn.com/shippo-f4b7b609/MNzp7C4JbkmwernT/favicon.svg?fit=max\u0026auto=format\u0026n=MNzp7C4JbkmwernT\u0026q=85\u0026s=5b633a85ae6f5c45472dcb5720a3caa6","navbar":{"primary":{"type":"button","label":"Get Started","href":"https://apps.goshippo.com/join"}},"seo":{"metatags":{"canonical":"https://docs.goshippo.com"},"organization":{"id":"https://goshippo.com/#organization","name":"Shippo","legalName":"Shippo, Inc.","url":"https://goshippo.com","logo":"https://docs.goshippo.com/logo/light.svg","sameAs":["https://www.linkedin.com/company/shippo","https://x.com/goshippo","https://github.com/goshippo"]},"indexing":"navigable"},"fonts":{"heading":{"family":"Rethink Sans","weight":700},"body":{"family":"Neue Haas Unica","weight":400,"source":"fonts/NeueHaasUnica-Regular.woff2","format":"woff2"}},"contextual":{"options":["copy","view","assistant","chatgpt","claude","perplexity",{"title":"Connect Shippo MCP","description":"Set up the hosted Shippo MCP server (mcp.shippo.com): rates, labels, and tracking from your AI client","icon":"sparkles","href":"https://docs.goshippo.com/guides/mcp-server"},"download-spec"],"display":"header"},"metadata":{"timestamp":true},"markdown":{"instructions":"Shippo is a multi-carrier shipping API. For agent integrations that execute shipping operations (rates, labels, tracking, address validation, customs), connect the hosted Shippo MCP server at https://mcp.shippo.com (per-user OAuth; setup at /guides/mcp-server). To search and read this documentation from an agent, a docs search MCP is available at https://docs.goshippo.com/mcp. Shipping workflow knowledge (agent skills and a knowledge pack) is published at https://github.com/goshippo/ai. For REST integrations start at /guides/api-quickstart; test mode uses shippo_test_ API keys."},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"shippo-f4b7b609","hasAudioNarration":false,"actualSubdomain":"shippo-f4b7b609","customDomains":["docs.goshippo.com"],"gitSource":{"type":"github","owner":"goshippo","repo":"api-metadata-specs","deployBranch":"master","contentDirectory":"mintlify","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb5c4586e5c4288ac5e9d5","collectionId":"0adeec5f-fd13-4d7d-a920-fc67f915b52e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb5c4586e5c4288ac5e9d5"},"feedback":{"thumbs":true,"agentFeedback":true,"contextualFeedback":{"allowEmail":true}},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb5c4586e5c4288ac5e9d5","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"Documentation","count":123},{"language":"default","tag":"API Reference","count":97},{"language":"default","tag":"Guides","count":89},{"language":"default","tag":"Shippo API","count":74},{"language":"default","tag":"Carriers","count":23},{"language":"default","tag":"Shipping Elements","count":20},{"language":"default","tag":"Shipments","count":16},{"language":"default","tag":"Concepts","count":15},{"language":"default","tag":"Reporting API","count":14},{"language":"default","tag":"Integration guides","count":13}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@shippo.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"69b9aa85e87230effc9b2684","deploymentId":"69b97e1329ae8a96c1f2f28f","questionText":"Can you walk me through how to add a customs declaration?","status":"active","generatedBy":"manual","createdAt":"2026-03-17T19:24:53.544Z","updatedAt":"2026-03-17T19:24:53.544Z","__v":0},{"_id":"69b9aa56e87230effc9b25c8","deploymentId":"69b97e1329ae8a96c1f2f28f","questionText":"How can I check which carriers are enabled on my account?","status":"active","generatedBy":"manual","createdAt":"2026-03-17T19:24:06.090Z","updatedAt":"2026-03-18T00:30:13.282Z","__v":0},{"_id":"69b9aa4ee87230effc9b25a3","deploymentId":"69b97e1329ae8a96c1f2f28f","questionText":"How do I get started with purchasing a label?","status":"active","generatedBy":"manual","createdAt":"2026-03-17T19:23:58.178Z","updatedAt":"2026-03-17T19:23:58.178Z","__v":0}],"googleFontsInlined":true},"customCss":[{"filePath":"custom.css","content":"#navbar img{height:32px!important;width:auto!important}.dark .mdx-content img:not([class]),.dark .mdx-content img[class=\"\"],.dark article img:not([class]),.dark article img[class=\"\"]{background:rgba(255, 255, 255, 0.9);border-radius:8px;padding:12px}@font-face{font-family:\"Neue Haas Unica\";src:url(\"/fonts/NeueHaasUnica-SemiBold.woff2\") format(\"woff2\");font-weight:600 700;font-display:swap}strong,b{font-weight:600}.endpoint-table td:nth-child(2),.endpoint-table code{white-space:nowrap}.endpoint-table td:first-child{min-width:0}.workflow-table code{white-space:nowrap}.workflow-table td:nth-child(2){min-width:0}"}],"page":{"pagePath":"api-reference/shipments/retrieve-a-shipment","slug":"/api-reference/shipments/retrieve-a-shipment","pageMetadata":{"title":"Retrieve a shipment","description":"Returns an existing shipment using an object ID. Shipment objects older than 390 days are not returned.","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shipments/{ShipmentId}","href":"/api-reference/shipments/retrieve-a-shipment","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns an existing shipment using an object ID. Shipment objects older than 390 days are not returned.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve a shipment","description":"Returns an existing shipment using an object ID. Shipment objects older than 390 days are not returned.","deprecated":null,"version":null,"openapi":"/spec/shippoapi/public-api.yaml get /shipments/{ShipmentId}","href":"/api-reference/shipments/retrieve-a-shipment","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Returns an existing shipment using an object ID. Shipment objects older than 390 days are not returned.","operationId":"GetShipment","parameters":["ddd3606c-a99a-459e-a2d3-156bc0174acf","18f2b9c5-e59f-49de-bc7d-5fa91f1724cd","6e6dea5f-84fb-427b-80e3-e8eaae40bf96"],"responses":{"200":"9e442f9a-2122-4898-a1ab-5bacfbaef8c8","400":"bbb3a755-61af-4beb-b4d5-9fba91ce8428"},"summary":"Retrieve a shipment","tags":["Shipments"],"x-codeSamples":[{"label":"cURL","lang":"cURL","source":"curl https://api.goshippo.com/shipments/7c47d12aa95a4cbb9d90c167cca7bea7 \\\n -H \"Authorization: ShippoToken \u003cAPI_TOKEN>\""},{"lang":"python","label":"Python","source":"import shippo\n\ns = shippo.Shippo(\n api_key_header='ShippoToken \u003cAPI_TOKEN>',\n shippo_api_version='2018-02-08',\n)\n\n\nres = s.shipments.get(shipment_id='\u003cid>')\n\nif res is not None:\n # handle response\n pass"},{"lang":"typescript","label":"Typescript","source":"import { Shippo } from \"shippo\";\n\nconst shippo = new Shippo({\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\",\n});\n\nasync function run() {\n const result = await shippo.shipments.get(\"\u003cid>\");\n\n // Handle the result\n console.log(result);\n}\n\nrun();"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Shippo\\API;\n\n$sdk = API\\Shippo::builder()\n ->setSecurity(\n 'ShippoToken \u003cAPI_TOKEN>'\n )\n ->setShippoApiVersion('2018-02-08')\n ->build();\n\n\n\n$response = $sdk->shipments->get(\n shipmentId: '\u003cid>',\n shippoApiVersion: '2018-02-08'\n\n);\n\nif ($response->shipment !== null) {\n // handle response\n}"},{"lang":"csharp","label":"C#","source":"using Shippo;\nusing Shippo.Models.Components;\n\nvar sdk = new ShippoSDK(\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\"\n);\n\nvar res = await sdk.Shipments.GetAsync(\n shipmentId: \"\u003cid>\",\n shippoApiVersion: \"2018-02-08\"\n);\n\n// handle response"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.goshippo.shippo_sdk.Shippo;\nimport com.goshippo.shippo_sdk.models.operations.GetShipmentResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Shippo sdk = Shippo.builder()\n .apiKeyHeader(\"ShippoToken \u003cAPI_TOKEN>\")\n .shippoApiVersion(\"2018-02-08\")\n .build();\n\n GetShipmentResponse res = sdk.shipments().get()\n .shipmentId(\"\u003cid>\")\n .shippoApiVersion(\"2018-02-08\")\n .call();\n\n if (res.shipment().isPresent()) {\n // handle response\n }\n }\n}"}],"method":"get","type":"path","servers":["cacc1504-0b40-4ec1-aa22-16cc7c1beba9"],"security":["dbe54bd5-03b5-44fc-a1e0-5dbfdcce4630"],"path":"/shipments/{ShipmentId}","baseUrlOptions":["https://api.goshippo.com"],"title":"Retrieve a shipment","codeSamples":[{"label":"cURL","lang":"cURL","source":"curl https://api.goshippo.com/shipments/7c47d12aa95a4cbb9d90c167cca7bea7 \\\n -H \"Authorization: ShippoToken \u003cAPI_TOKEN>\""},{"label":"Python","lang":"python","source":"import shippo\n\ns = shippo.Shippo(\n api_key_header='ShippoToken \u003cAPI_TOKEN>',\n shippo_api_version='2018-02-08',\n)\n\n\nres = s.shipments.get(shipment_id='\u003cid>')\n\nif res is not None:\n # handle response\n pass"},{"label":"Typescript","lang":"typescript","source":"import { Shippo } from \"shippo\";\n\nconst shippo = new Shippo({\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\",\n});\n\nasync function run() {\n const result = await shippo.shipments.get(\"\u003cid>\");\n\n // Handle the result\n console.log(result);\n}\n\nrun();"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Shippo\\API;\n\n$sdk = API\\Shippo::builder()\n ->setSecurity(\n 'ShippoToken \u003cAPI_TOKEN>'\n )\n ->setShippoApiVersion('2018-02-08')\n ->build();\n\n\n\n$response = $sdk->shipments->get(\n shipmentId: '\u003cid>',\n shippoApiVersion: '2018-02-08'\n\n);\n\nif ($response->shipment !== null) {\n // handle response\n}"},{"label":"C#","lang":"csharp","source":"using Shippo;\nusing Shippo.Models.Components;\n\nvar sdk = new ShippoSDK(\n apiKeyHeader: \"ShippoToken \u003cAPI_TOKEN>\",\n shippoApiVersion: \"2018-02-08\"\n);\n\nvar res = await sdk.Shipments.GetAsync(\n shipmentId: \"\u003cid>\",\n shippoApiVersion: \"2018-02-08\"\n);\n\n// handle response"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.goshippo.shippo_sdk.Shippo;\nimport com.goshippo.shippo_sdk.models.operations.GetShipmentResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Shippo sdk = Shippo.builder()\n .apiKeyHeader(\"ShippoToken \u003cAPI_TOKEN>\")\n .shippoApiVersion(\"2018-02-08\")\n .build();\n\n GetShipmentResponse res = sdk.shipments().get()\n .shipmentId(\"\u003cid>\")\n .shippoApiVersion(\"2018-02-08\")\n .call();\n\n if (res.shipment().isPresent()) {\n // handle response\n }\n }\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"ddd3606c-a99a-459e-a2d3-156bc0174acf":{"description":"Object ID of the shipment to update","in":"path","name":"ShipmentId","required":true,"schema":{"type":"string","isRequired":true,"description":"Object ID of the shipment to update","uniqueKey":"","typeLabel":"string"}},"18f2b9c5-e59f-49de-bc7d-5fa91f1724cd":{"description":"Optional string used to pick a non-default API version to use. See our [API version](https://docs.goshippo.com/docs/api_concepts/apiversioning/) guide.","in":"header","name":"SHIPPO-API-VERSION","schema":{"type":"string","example":"2018-02-08","default":"2018-02-08","x-default":"2018-02-08","description":"Optional string used to pick a non-default API version to use. See our [API version](https://docs.goshippo.com/docs/api_concepts/apiversioning/) guide.","uniqueKey":"","typeLabel":"string"},"x-speakeasy-globals-hidden":true},"6e6dea5f-84fb-427b-80e3-e8eaae40bf96":{"description":"Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the [Platform accounts guide](https://docs.goshippo.com/platform-accounts/platform-using-accounts).","in":"header","name":"SHIPPO-ACCOUNT-ID","required":false,"schema":{"type":"string","isRequired":false,"description":"Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the [Platform accounts guide](https://docs.goshippo.com/platform-accounts/platform-using-accounts).","uniqueKey":"","typeLabel":"string"},"x-speakeasy-globals-hidden":true}},"responses":{"9e442f9a-2122-4898-a1ab-5bacfbaef8c8":{"description":"Shipment","content":{"application/json":{"schema":{"type":"object","description":"Shipment represents the parcel as retrieved from the database","required":["address_to","address_from","parcels","object_created","object_updated","object_id","object_owner","status","rates","carrier_accounts","messages","metadata"],"x-tags":["Shipments"],"properties":{"metadata":{"example":"Customer ID 123456","type":"string","maxLength":100,"description":"A string of up to 100 characters that can be filled with any additional information you want to attach to the object.","isRequired":true,"uniqueKey":"metadata","typeLabel":"string"},"address_from":{"type":"object","description":"[Address](/shippoapi/public-api/addresses) object of the sender / seller. Will be returned expanded by default.","required":["country"],"x-tags":["Addresses"],"properties":{"country":{"example":"US","type":"string","description":"ISO 3166-1 alpha-2 country codes and country names can be used. For most consistent results, we recommend using country codes like `US` or `DE`.\nIf using country names, please ensure they are spelled correctly and in English. Country names are converted to country codes.\nRefer to this [guide](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) for a list of country codes.\nSending a country is always required.","isRequired":true,"uniqueKey":"address_from.country","typeLabel":"string"},"name":{"description":"**required for purchase**\n\nFirst and Last Name of the addressee\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Either company or name required; No length validation (first 35 chars printed on label) |","example":"Shwan Ippotle","type":"string","maxLength":100,"uniqueKey":"address_from.name","typeLabel":"string"},"company":{"example":"Shippo","type":"string","maxLength":100,"description":"Company Name\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 35 characters; Either company or name required |","uniqueKey":"address_from.company","typeLabel":"string"},"street1":{"description":"**required for purchase**\n\nFirst street line. Usually street number and street name (except for DHL Germany, see street_no).\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | At least one street line required; Max 35 characters per line |","example":"215 Clayton St.","type":"string","maxLength":121,"uniqueKey":"address_from.street1","typeLabel":"string"},"street2":{"type":"string","maxLength":100,"description":"Second street line.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | At least one street line required; Max 35 characters per line |","uniqueKey":"address_from.street2","typeLabel":"string"},"street3":{"type":"string","maxLength":100,"example":"","description":"Third street line.\nOnly accepted for USPS international shipments, UPS domestic and UPS international shipments.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | At least one street line required; Max 35 characters per line |","uniqueKey":"address_from.street3","typeLabel":"string"},"street_no":{"type":"string","example":"","description":"Street number of the addressed building.\nThis field can be included in street1 for all carriers except for DHL Germany.","uniqueKey":"address_from.street_no","typeLabel":"string"},"city":{"description":"**required for purchase**\n\nName of a city. When creating a Quote Address, sending a city is optional but will yield more accurate Rates.\nPlease bear in mind that city names may be ambiguous (there are 34 Springfields in the US). Pass in a state\nor a ZIP code (see below), if known, it will yield more accurate results.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Required; Max 35 characters |","example":"San Francisco","type":"string","maxLength":100,"uniqueKey":"address_from.city","typeLabel":"string"},"state":{"description":"**required for purchase for some countries**\n\nState/Province values are required for shipments from/to the US, AU, and CA. UPS requires province for some\ncountries (i.e Ireland). To receive more accurate quotes, passing this field is recommended. Most carriers\nonly accept two or three character state abbreviations.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Required if country requires state; Max 2 characters for US, CA, PR |","example":"CA","type":"string","maxLength":100,"uniqueKey":"address_from.state","typeLabel":"string"},"zip":{"description":"**required for purchase**\n\nPostal code of an Address. When creating a Quote Addresses, sending a ZIP is optional but will yield more\naccurate Rates.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 10 characters |","example":"94117","type":"string","maxLength":20,"uniqueKey":"address_from.zip","typeLabel":"string"},"phone":{"example":"+1 555 341 9393","type":"string","maxLength":50,"description":"Addresses containing a phone number allow carriers to call the recipient when delivering the Parcel. This\nincreases the probability of delivery and helps to avoid accessorial charges after a Parcel has been shipped.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Required; Min 1, max 15 characters |\n| USPS | Sender phone required for shipments during label purchase; Min 8, max 15 digits |","uniqueKey":"address_from.phone","typeLabel":"string"},"email":{"example":"shippotle@shippo.com","type":"string","maxLength":254,"description":"E-mail address of the contact person, RFC3696/5321-compliant.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 80 characters |\n| USPS | Sender email required for shipments during label purchase |","uniqueKey":"address_from.email","typeLabel":"string"},"is_residential":{"example":true,"type":"boolean","uniqueKey":"address_from.is_residential","typeLabel":"boolean"},"metadata":{"example":"Customer ID 123456","type":"string","maxLength":100,"description":"A string of up to 100 characters that can be filled with any additional information you want to attach to the object.","uniqueKey":"address_from.metadata","typeLabel":"string"},"is_complete":{"example":true,"type":"boolean","description":"Complete addresses contain all required values.\n\nIncomplete addresses have failed one or multiple validations. Incomplete Addresses are eligible for requesting rates but lack at least one required value for purchasing labels.","uniqueKey":"address_from.is_complete","typeLabel":"boolean"},"latitude":{"oneOf":[{"description":"Latitude of address","type":"number","uniqueKey":"address_from.latitude.oneOf.0","typeLabel":"number"},{"description":"Latitude of address","type":"string","uniqueKey":"address_from.latitude.oneOf.1","typeLabel":"string"}],"uniqueKey":"address_from.latitude","typeLabel":"number | string"},"longitude":{"oneOf":[{"description":"Longitude of address","type":"number","uniqueKey":"address_from.longitude.oneOf.0","typeLabel":"number"},{"description":"Longitude of address","type":"string","uniqueKey":"address_from.longitude.oneOf.1","typeLabel":"string"}],"uniqueKey":"address_from.longitude","typeLabel":"number | string"},"object_created":{"example":"2014-07-09T02:19:13.174Z","format":"date-time","type":"string","description":"Date and time of Address creation.","uniqueKey":"address_from.object_created","typeLabel":"string\u003cdate-time>"},"object_id":{"example":"d799c2679e644279b59fe661ac8fa488","type":"string","description":"Unique identifier of the given Address object.\nThis ID is required to create a Shipment object.","uniqueKey":"address_from.object_id","typeLabel":"string"},"object_owner":{"example":"shippotle@shippo.com","type":"string","description":"Username of the user who created the Address object.","uniqueKey":"address_from.object_owner","typeLabel":"string"},"object_updated":{"example":"2014-07-09T02:19:13.174Z","format":"date-time","type":"string","description":"Date and time of last Address update. Since you cannot update Addresses after they were created, this time stamp reflects the time when the Address was changed by Shippo's systems for the last time, e.g., during the approximation of one or more values.","uniqueKey":"address_from.object_updated","typeLabel":"string\u003cdate-time>"},"validation_results":{"description":"Object that contains information regarding if an address had been validated or not. Also contains any messages generated during validation. Children keys are `is_valid`(boolean) and `messages`(array).","properties":{"is_valid":{"example":false,"type":"boolean","uniqueKey":"address_from.validation_results.is_valid","typeLabel":"boolean"},"messages":{"items":{"properties":{"code":{"type":"string","example":"Unknown Street","description":"See [Address Validation Codes](/shippoapi/public-api/address-validation-codes)","uniqueKey":"address_from.validation_results.messages.items.[INDEX].code","typeLabel":"string"},"source":{"type":"string","example":"Shippo Address Validator","description":"See [Address Validation Source](/shippoapi/public-api/address-validation-source)","uniqueKey":"address_from.validation_results.messages.items.[INDEX].source","typeLabel":"string"},"text":{"example":"City, State and ZIP Code are valid, but street address is not a match.","type":"string","uniqueKey":"address_from.validation_results.messages.items.[INDEX].text","typeLabel":"string"},"type":{"example":"address_warning","type":"string","uniqueKey":"address_from.validation_results.messages.items.[INDEX].type","typeLabel":"string"}},"type":"object","uniqueKey":"address_from.validation_results.messages.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"address_from.validation_results.messages","typeLabel":"object[]"}},"type":"object","uniqueKey":"address_from.validation_results","typeLabel":"object"},"test":{"type":"boolean","example":false,"description":"Indicates whether the object has been created in test mode.","uniqueKey":"address_from.test","typeLabel":"boolean"}},"isRequired":true,"uniqueKey":"address_from","typeLabel":"object"},"address_to":{"type":"object","description":"[Address](/shippoapi/public-api/addresses) object of the recipient / buyer. Will be returned expanded by default.","required":["country"],"x-tags":["Addresses"],"properties":{"country":{"example":"US","type":"string","description":"ISO 3166-1 alpha-2 country codes and country names can be used. For most consistent results, we recommend using country codes like `US` or `DE`.\nIf using country names, please ensure they are spelled correctly and in English. Country names are converted to country codes.\nRefer to this [guide](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) for a list of country codes.\nSending a country is always required.","isRequired":true,"uniqueKey":"address_to.country","typeLabel":"string"},"name":{"description":"**required for purchase**\n\nFirst and Last Name of the addressee\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Either company or name required; No length validation (first 35 chars printed on label) |","example":"Shwan Ippotle","type":"string","maxLength":100,"uniqueKey":"address_to.name","typeLabel":"string"},"company":{"example":"Shippo","type":"string","maxLength":100,"description":"Company Name\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 35 characters; Either company or name required |","uniqueKey":"address_to.company","typeLabel":"string"},"street1":{"description":"**required for purchase**\n\nFirst street line. Usually street number and street name (except for DHL Germany, see street_no).\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | At least one street line required; Max 35 characters per line |","example":"215 Clayton St.","type":"string","maxLength":121,"uniqueKey":"address_to.street1","typeLabel":"string"},"street2":{"type":"string","maxLength":100,"description":"Second street line.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | At least one street line required; Max 35 characters per line |","uniqueKey":"address_to.street2","typeLabel":"string"},"street3":{"type":"string","maxLength":100,"example":"","description":"Third street line.\nOnly accepted for USPS international shipments, UPS domestic and UPS international shipments.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | At least one street line required; Max 35 characters per line |","uniqueKey":"address_to.street3","typeLabel":"string"},"street_no":{"type":"string","example":"","description":"Street number of the addressed building.\nThis field can be included in street1 for all carriers except for DHL Germany.","uniqueKey":"address_to.street_no","typeLabel":"string"},"city":{"description":"**required for purchase**\n\nName of a city. When creating a Quote Address, sending a city is optional but will yield more accurate Rates.\nPlease bear in mind that city names may be ambiguous (there are 34 Springfields in the US). Pass in a state\nor a ZIP code (see below), if known, it will yield more accurate results.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Required; Max 35 characters |","example":"San Francisco","type":"string","maxLength":100,"uniqueKey":"address_to.city","typeLabel":"string"},"state":{"description":"**required for purchase for some countries**\n\nState/Province values are required for shipments from/to the US, AU, and CA. UPS requires province for some\ncountries (i.e Ireland). To receive more accurate quotes, passing this field is recommended. Most carriers\nonly accept two or three character state abbreviations.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Required if country requires state; Max 2 characters for US, CA, PR |","example":"CA","type":"string","maxLength":100,"uniqueKey":"address_to.state","typeLabel":"string"},"zip":{"description":"**required for purchase**\n\nPostal code of an Address. When creating a Quote Addresses, sending a ZIP is optional but will yield more\naccurate Rates.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 10 characters |","example":"94117","type":"string","maxLength":20,"uniqueKey":"address_to.zip","typeLabel":"string"},"phone":{"example":"+1 555 341 9393","type":"string","maxLength":50,"description":"Addresses containing a phone number allow carriers to call the recipient when delivering the Parcel. This\nincreases the probability of delivery and helps to avoid accessorial charges after a Parcel has been shipped.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Required; Min 1, max 15 characters |\n| USPS | Sender phone required for shipments during label purchase; Min 8, max 15 digits |","uniqueKey":"address_to.phone","typeLabel":"string"},"email":{"example":"shippotle@shippo.com","type":"string","maxLength":254,"description":"E-mail address of the contact person, RFC3696/5321-compliant.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 80 characters |\n| USPS | Sender email required for shipments during label purchase |","uniqueKey":"address_to.email","typeLabel":"string"},"is_residential":{"example":true,"type":"boolean","uniqueKey":"address_to.is_residential","typeLabel":"boolean"},"metadata":{"example":"Customer ID 123456","type":"string","maxLength":100,"description":"A string of up to 100 characters that can be filled with any additional information you want to attach to the object.","uniqueKey":"address_to.metadata","typeLabel":"string"},"is_complete":{"example":true,"type":"boolean","description":"Complete addresses contain all required values.\n\nIncomplete addresses have failed one or multiple validations. Incomplete Addresses are eligible for requesting rates but lack at least one required value for purchasing labels.","uniqueKey":"address_to.is_complete","typeLabel":"boolean"},"latitude":{"oneOf":[{"description":"Latitude of address","type":"number","uniqueKey":"address_to.latitude.oneOf.0","typeLabel":"number"},{"description":"Latitude of address","type":"string","uniqueKey":"address_to.latitude.oneOf.1","typeLabel":"string"}],"uniqueKey":"address_to.latitude","typeLabel":"number | string"},"longitude":{"oneOf":[{"description":"Longitude of address","type":"number","uniqueKey":"address_to.longitude.oneOf.0","typeLabel":"number"},{"description":"Longitude of address","type":"string","uniqueKey":"address_to.longitude.oneOf.1","typeLabel":"string"}],"uniqueKey":"address_to.longitude","typeLabel":"number | string"},"object_created":{"example":"2014-07-09T02:19:13.174Z","format":"date-time","type":"string","description":"Date and time of Address creation.","uniqueKey":"address_to.object_created","typeLabel":"string\u003cdate-time>"},"object_id":{"example":"d799c2679e644279b59fe661ac8fa488","type":"string","description":"Unique identifier of the given Address object.\nThis ID is required to create a Shipment object.","uniqueKey":"address_to.object_id","typeLabel":"string"},"object_owner":{"example":"shippotle@shippo.com","type":"string","description":"Username of the user who created the Address object.","uniqueKey":"address_to.object_owner","typeLabel":"string"},"object_updated":{"example":"2014-07-09T02:19:13.174Z","format":"date-time","type":"string","description":"Date and time of last Address update. Since you cannot update Addresses after they were created, this time stamp reflects the time when the Address was changed by Shippo's systems for the last time, e.g., during the approximation of one or more values.","uniqueKey":"address_to.object_updated","typeLabel":"string\u003cdate-time>"},"validation_results":{"description":"Object that contains information regarding if an address had been validated or not. Also contains any messages generated during validation. Children keys are `is_valid`(boolean) and `messages`(array).","properties":{"is_valid":{"example":false,"type":"boolean","uniqueKey":"address_to.validation_results.is_valid","typeLabel":"boolean"},"messages":{"items":{"properties":{"code":{"type":"string","example":"Unknown Street","description":"See [Address Validation Codes](/shippoapi/public-api/address-validation-codes)","uniqueKey":"address_to.validation_results.messages.items.[INDEX].code","typeLabel":"string"},"source":{"type":"string","example":"Shippo Address Validator","description":"See [Address Validation Source](/shippoapi/public-api/address-validation-source)","uniqueKey":"address_to.validation_results.messages.items.[INDEX].source","typeLabel":"string"},"text":{"example":"City, State and ZIP Code are valid, but street address is not a match.","type":"string","uniqueKey":"address_to.validation_results.messages.items.[INDEX].text","typeLabel":"string"},"type":{"example":"address_warning","type":"string","uniqueKey":"address_to.validation_results.messages.items.[INDEX].type","typeLabel":"string"}},"type":"object","uniqueKey":"address_to.validation_results.messages.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"address_to.validation_results.messages","typeLabel":"object[]"}},"type":"object","uniqueKey":"address_to.validation_results","typeLabel":"object"},"test":{"type":"boolean","example":false,"description":"Indicates whether the object has been created in test mode.","uniqueKey":"address_to.test","typeLabel":"boolean"}},"isRequired":true,"uniqueKey":"address_to","typeLabel":"object"},"carrier_accounts":{"items":{"type":"string","uniqueKey":"carrier_accounts.items.[INDEX]","typeLabel":"string"},"type":"array","description":"An array of object_ids of the carrier account objects to be used for getting shipping rates for this shipment.\nIf no carrier account object_ids are set in this field, Shippo will attempt to generate rates using all the carrier accounts that have the `active` field set.","isRequired":true,"uniqueKey":"carrier_accounts","typeLabel":"string[]"},"messages":{"items":{"description":"Message returned with supporting information from a request. In some cases this can be an error message, for example a timeout from a carrier. If available, the origin of the message is displayed in `source`.","properties":{"source":{"description":"Origin of message","example":"UPS","type":"string","uniqueKey":"messages.items.[INDEX].source","typeLabel":"string"},"code":{"description":"Classification of message","example":"carrier_timeout","type":"string","uniqueKey":"messages.items.[INDEX].code","typeLabel":"string"},"text":{"description":"Message content","example":"UPS API did not respond. Please try again in a few minutes.","type":"string","uniqueKey":"messages.items.[INDEX].text","typeLabel":"string"}},"type":"object","uniqueKey":"messages.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"messages","typeLabel":"object[]"},"object_created":{"format":"date-time","type":"string","description":"Date and time of Shipment creation.","isRequired":true,"uniqueKey":"object_created","typeLabel":"string\u003cdate-time>"},"object_id":{"example":"adcfdddf8ec64b84ad22772bce3ea37a","type":"string","description":"Unique identifier of the given Shipment object.","isRequired":true,"uniqueKey":"object_id","typeLabel":"string"},"object_owner":{"example":"pp@gmail.com","type":"string","description":"Username of the user who created the Shipment object.","isRequired":true,"uniqueKey":"object_owner","typeLabel":"string"},"object_updated":{"format":"date-time","type":"string","description":"Date and time of last Shipment update.","isRequired":true,"uniqueKey":"object_updated","typeLabel":"string\u003cdate-time>"},"parcels":{"items":{"type":"object","required":["length","width","height","distance_unit","weight","mass_unit"],"x-tags":["Parcels"],"properties":{"mass_unit":{"description":"The unit used for weight.","enum":["g","kg","lb","oz"],"example":"lb","type":"string","isRequired":true,"uniqueKey":"parcels.items.[INDEX].mass_unit","typeLabel":"enum\u003cstring>"},"weight":{"description":"Weight of the parcel. Up to six digits in front and four digits after the decimal separator are accepted.","example":"1","type":"string","isRequired":true,"uniqueKey":"parcels.items.[INDEX].weight","typeLabel":"string"},"distance_unit":{"enum":["cm","in","ft","m","mm","yd"],"example":"in","type":"string","description":"The measure unit used for length, width and height.","isRequired":true,"uniqueKey":"parcels.items.[INDEX].distance_unit","typeLabel":"enum\u003cstring>"},"height":{"description":"Height of the parcel. Up to six digits in front and four digits after the decimal separator are accepted.","example":"1","type":"string","isRequired":true,"uniqueKey":"parcels.items.[INDEX].height","typeLabel":"string"},"length":{"description":"Length of the Parcel. Up to six digits in front and four digits after the decimal separator are accepted.","example":"1","type":"string","isRequired":true,"uniqueKey":"parcels.items.[INDEX].length","typeLabel":"string"},"width":{"description":"Width of the Parcel. Up to six digits in front and four digits after the decimal separator are accepted.","example":"1","type":"string","isRequired":true,"uniqueKey":"parcels.items.[INDEX].width","typeLabel":"string"},"extra":{"title":"Parcel Extra","x-tags":["Parcels"],"description":"An object holding optional extra services to be requested for each parcel in a multi-piece shipment.\nThe following values are supported for the `extra` field of the parcel object.","properties":{"COD":{"description":"Specify collection on delivery details (UPS only).","properties":{"amount":{"description":"Amount to be collected.","example":"5.5","type":"string","uniqueKey":"parcels.items.[INDEX].extra.COD.amount","typeLabel":"string"},"currency":{"description":"Currency for the amount to be collected. Currently only USD is supported for UPS.","example":"USD","type":"string","uniqueKey":"parcels.items.[INDEX].extra.COD.currency","typeLabel":"string"},"payment_method":{"description":"Secured funds include money orders, certified cheques and others (see [UPS](https://www.ups.com/content/us/en/shipping/time/service/value_added/cod.html) for details).\nIf no payment_method inputted the value defaults to \"ANY\".)","enum":["SECURED_FUNDS","CASH","ANY"],"example":"CASH","type":"string","uniqueKey":"parcels.items.[INDEX].extra.COD.payment_method","typeLabel":"enum\u003cstring>"}},"title":"COD Specify collection on delivery details (UPS only).","type":"object","uniqueKey":"parcels.items.[INDEX].extra.COD","typeLabel":"COD Specify collection on delivery details (UPS only). · object"},"insurance":{"description":"To add insurance to your parcel, specify `amount`, `content` and `currency`. If you do not want to add insurance to your parcel, do not set these parameters.","properties":{"amount":{"description":"Declared value of the goods you want to insure.","example":"5.5","type":"string","uniqueKey":"parcels.items.[INDEX].extra.insurance.amount","typeLabel":"string"},"content":{"description":"Description of parcel content.","example":"Laptop","type":"string","uniqueKey":"parcels.items.[INDEX].extra.insurance.content","typeLabel":"string"},"currency":{"description":"Currency for the amount value. Currently only USD is supported for FedEx and UPS.","example":"USD","type":"string","uniqueKey":"parcels.items.[INDEX].extra.insurance.currency","typeLabel":"string"},"provider":{"description":"To have insurance cover provided by a carrier directly instead of Shippo's provider (XCover), set provider to `FEDEX`, `UPS`, or `ONTRAC`.","example":"UPS","type":"string","enum":["FEDEX","UPS","ONTRAC"],"uniqueKey":"parcels.items.[INDEX].extra.insurance.provider","typeLabel":"enum\u003cstring>"}},"type":"object","uniqueKey":"parcels.items.[INDEX].extra.insurance","typeLabel":"object"},"reference_1":{"type":"string","maxLength":50,"description":"Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 40 characters (Express services); Max 30 characters (Ground services) |","uniqueKey":"parcels.items.[INDEX].extra.reference_1","typeLabel":"string"},"reference_2":{"type":"string","maxLength":50,"description":"Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 30 characters |","uniqueKey":"parcels.items.[INDEX].extra.reference_2","typeLabel":"string"}},"type":"object","uniqueKey":"parcels.items.[INDEX].extra","typeLabel":"Parcel Extra · object"},"metadata":{"type":"string","example":"Customer ID 123456","uniqueKey":"parcels.items.[INDEX].metadata","typeLabel":"string"},"object_created":{"description":"Date and time of Parcel creation.","example":"2014-07-09T02:19:13.174Z","format":"date-time","type":"string","uniqueKey":"parcels.items.[INDEX].object_created","typeLabel":"string\u003cdate-time>"},"object_id":{"description":"Unique identifier of the given Parcel object. This ID is required to create a Shipment object.","example":"adcfdddf8ec64b84ad22772bce3ea37a","type":"string","uniqueKey":"parcels.items.[INDEX].object_id","typeLabel":"string"},"object_owner":{"description":"Username of the user who created the Parcel object.","example":"shippotle@shippo.com","type":"string","uniqueKey":"parcels.items.[INDEX].object_owner","typeLabel":"string"},"object_state":{"description":"A Parcel will only be valid when all required values have been sent and validated successfully.","example":"VALID","enum":["VALID"],"type":"string","uniqueKey":"parcels.items.[INDEX].object_state","typeLabel":"enum\u003cstring>"},"object_updated":{"description":"Date and time of last Parcel update. Since you cannot update Parcels after they were created, this time stamp reflects the time when the Parcel was changed by Shippo's systems for the last time, e.g., during sorting the dimensions given.","example":"2014-07-09T02:19:13.174Z","format":"date-time","type":"string","uniqueKey":"parcels.items.[INDEX].object_updated","typeLabel":"string\u003cdate-time>"},"template":{"oneOf":[{"type":"string","title":"FedEx Parcel Template","description":"If template is passed, `length`, `width`, `height`, and `distance_unit` are not required","enum":["FedEx_Box_10kg","FedEx_Box_25kg","FedEx_Box_Extra_Large_1","FedEx_Box_Extra_Large_2","FedEx_Box_Large_1","FedEx_Box_Large_2","FedEx_Box_Medium_1","FedEx_Box_Medium_2","FedEx_Box_Small_1","FedEx_Box_Small_2","FedEx_Envelope","FedEx_Padded_Pak","FedEx_Pak_1","FedEx_Pak_2","FedEx_Tube","FedEx_XL_Pak"],"x-speakeasy-include":true,"uniqueKey":"parcels.items.[INDEX].template.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"UPS Parcel Template","description":"If template is passed, `length`, `width`, `height`, and `distance_unit` are not required","enum":["UPS_Box_10kg","UPS_Box_25kg","UPS_Express_Box","UPS_Express_Box_Large","UPS_Express_Box_Medium","UPS_Express_Box_Small","UPS_Express_Envelope","UPS_Express_Hard_Pak","UPS_Express_Legal_Envelope","UPS_Express_Pak","UPS_Express_Tube","UPS_Laboratory_Pak","UPS_MI_BPM","UPS_MI_BPM_Flat","UPS_MI_BPM_Parcel","UPS_MI_First_Class","UPS_MI_Flat","UPS_MI_Irregular","UPS_MI_Machinable","UPS_MI_MEDIA_MAIL","UPS_MI_Parcel_Post","UPS_MI_Priority","UPS_MI_Standard_Flat","UPS_Pad_Pak","UPS_Pallet"],"x-speakeasy-include":true,"uniqueKey":"parcels.items.[INDEX].template.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","title":"USPS Parcel Template","description":"If template is passed, `length`, `width`, `height`, and `distance_unit` are not required","enum":["USPS_FlatRateCardboardEnvelope","USPS_FlatRateEnvelope","USPS_FlatRateGiftCardEnvelope","USPS_FlatRateLegalEnvelope","USPS_FlatRatePaddedEnvelope","USPS_FlatRateWindowEnvelope","USPS_IrregularParcel","USPS_LargeFlatRateBoardGameBox","USPS_LargeFlatRateBox","USPS_APOFlatRateBox","USPS_LargeVideoFlatRateBox","USPS_MediumFlatRateBox1","USPS_MediumFlatRateBox2","USPS_RegionalRateBoxA1","USPS_RegionalRateBoxA2","USPS_RegionalRateBoxB1","USPS_RegionalRateBoxB2","USPS_SmallFlatRateBox","USPS_SmallFlatRateEnvelope","USPS_SoftPack"],"x-speakeasy-include":true,"uniqueKey":"parcels.items.[INDEX].template.oneOf.2","typeLabel":"enum\u003cstring>"},{"type":"string","title":"DHL eCommerce Parcel Template","description":"If template is passed, `length`, `width`, `height`, and `distance_unit` are not required","enum":["DHLeC_Irregular","DHLeC_SM_Flats"],"x-speakeasy-include":true,"uniqueKey":"parcels.items.[INDEX].template.oneOf.3","typeLabel":"enum\u003cstring>"},{"type":"string","title":"DPD UK Parcel Template","description":"If template is passed, `length`, `width`, `height`, and `distance_unit` are not required","enum":["DPD_UK_Express_Pak"],"x-speakeasy-include":true,"uniqueKey":"parcels.items.[INDEX].template.oneOf.4","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Aramex Australia Parcel Template","description":"If template is passed, `length`, `width`, `height`, and `distance_unit` are not required","enum":["Fastway_Australia_Satchel_A2","Fastway_Australia_Satchel_A3","Fastway_Australia_Satchel_A4","Fastway_Australia_Satchel_A5"],"x-speakeasy-include":true,"uniqueKey":"parcels.items.[INDEX].template.oneOf.5","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parcels.items.[INDEX].template","typeLabel":"enum\u003cstring>"},"test":{"type":"boolean","description":"Indicates whether the object has been created in test mode.","uniqueKey":"parcels.items.[INDEX].test","typeLabel":"boolean"}},"uniqueKey":"parcels.items.[INDEX]","typeLabel":"object"},"type":"array","description":"List of Parcel objects to be shipped.","isRequired":true,"uniqueKey":"parcels","typeLabel":"object[]"},"rates":{"items":{"type":"object","required":["object_created","object_id","object_owner","shipment","attributes","amount","currency","amount_local","currency_local","provider","servicelevel","carrier_account"],"x-tags":["Rates"],"properties":{"amount":{"example":"5.5","type":"string","description":"Final Rate price, expressed in the currency used in the sender's country.","isRequired":true,"uniqueKey":"rates.items.[INDEX].amount","typeLabel":"string"},"amount_local":{"example":"5.5","type":"string","description":"Final Rate price, expressed in the currency used in the recipient's country.","isRequired":true,"uniqueKey":"rates.items.[INDEX].amount_local","typeLabel":"string"},"currency":{"example":"USD","type":"string","description":"Currency used in the sender's country, refers to `amount`.\nThe [official ISO 4217](http://www.xe.com/iso4217.php) currency codes are used, e.g. `USD` or `EUR`.","isRequired":true,"uniqueKey":"rates.items.[INDEX].currency","typeLabel":"string"},"currency_local":{"example":"USD","type":"string","description":"Currency used in the recipient's country, refers to `amount_local`.\nThe [official ISO 4217](http://www.xe.com/iso4217.php) currency codes are used, e.g. `USD` or \"EUR\".","isRequired":true,"uniqueKey":"rates.items.[INDEX].currency_local","typeLabel":"string"},"attributes":{"items":{"enum":["BESTVALUE","CHEAPEST","FASTEST"],"type":"string","uniqueKey":"rates.items.[INDEX].attributes.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","description":"An array containing specific attributes of this Rate in context of the entire shipment.\nAttributes can be assigned `CHEAPEST`, `FASTEST`, or `BESTVALUE`.","isRequired":true,"uniqueKey":"rates.items.[INDEX].attributes","typeLabel":"enum\u003cstring>[]"},"carrier_account":{"example":"078870331023437cb917f5187429b093","type":"string","description":"Object ID of the carrier account that has been used to retrieve the rate.","isRequired":true,"uniqueKey":"rates.items.[INDEX].carrier_account","typeLabel":"string"},"object_created":{"format":"date-time","type":"string","description":"Date and time of Rate creation.","isRequired":true,"uniqueKey":"rates.items.[INDEX].object_created","typeLabel":"string\u003cdate-time>"},"object_id":{"example":"adcfdddf8ec64b84ad22772bce3ea37a","type":"string","description":"Unique identifier of the given Rate object.","isRequired":true,"uniqueKey":"rates.items.[INDEX].object_id","typeLabel":"string"},"object_owner":{"example":"pp@gmail.com","type":"string","description":"Username of the user who created the rate object.","isRequired":true,"uniqueKey":"rates.items.[INDEX].object_owner","typeLabel":"string"},"provider":{"example":"USPS","type":"string","description":"Carrier offering the rate, e.g., `FedEx` or `Deutsche Post DHL`.","isRequired":true,"uniqueKey":"rates.items.[INDEX].provider","typeLabel":"string"},"servicelevel":{"type":"object","description":"Contains details regarding the service level for the given rate.","x-speakeasy-include":true,"properties":{"name":{"example":"Priority Mail Express","type":"string","description":"Name of the Rate's servicelevel, e.g. `International Priority` or `Standard Post`.\nA servicelevel commonly defines the transit time of a Shipment (e.g., Express vs. Standard), along with other properties.\nThese names vary depending on the provider.","uniqueKey":"rates.items.[INDEX].servicelevel.name","typeLabel":"string"},"terms":{"type":"string","example":"ONERATE","description":"Further clarification of the service. For FedEx, a value of `ONERATE` indicates this rate is a FedEx One Rate variant of the same service level — it shares the same `token` as the standard-rate object but is a separate rate with its own `amount`.\nStandard (non-One Rate) rates have an empty string here.","uniqueKey":"rates.items.[INDEX].servicelevel.terms","typeLabel":"string"},"token":{"example":"usps_priority_express","type":"string","description":"Token of the Rate's servicelevel, e.g. `usps_priority` or `fedex_ground`.\nSee [servicelevels](/shippoapi/public-api/service-levels).","uniqueKey":"rates.items.[INDEX].servicelevel.token","typeLabel":"string"},"extended_token":{"type":"string","description":"Unique, extended version of the Service Level \"token\".\nGuaranteed to be unique across all Service Levels, and may help offer insight into the specific Service Level it describes.","uniqueKey":"rates.items.[INDEX].servicelevel.extended_token","typeLabel":"string"},"parent_servicelevel":{"type":"object","description":"Used for some Service Levels to link to the more \"generic\" version of this Service Level - for example, \nif this Service Level is a variation specific to shipments to Europe(\"ups_saver_eu\"), the \"parent\" is \nthe fully generic version (\"ups_saver\"). Helpful when displaying Service Levels to users. Has the same \nstructure of the servicelevel - \"name\", \"token\", \"terms\", and \"extended_token\", or it is otherwise null.","x-speakeasy-include":true,"properties":{"name":{"example":"Priority Mail Express","type":"string","description":"Name of the Rate's servicelevel, e.g. `International Priority` or `Standard Post`.\nA servicelevel commonly defines the transit time of a Shipment (e.g., Express vs. Standard), along with other properties.\nThese names vary depending on the provider.","uniqueKey":"rates.items.[INDEX].servicelevel.parent_servicelevel.name","typeLabel":"string"},"terms":{"type":"string","example":"ONERATE","description":"Further clarification of the service. For FedEx, a value of `ONERATE` indicates this rate is a FedEx One Rate variant of the same service level — it shares the same `token` as the standard-rate object but is a separate rate with its own `amount`.\nStandard (non-One Rate) rates have an empty string here.","uniqueKey":"rates.items.[INDEX].servicelevel.parent_servicelevel.terms","typeLabel":"string"},"token":{"example":"usps_priority_express","type":"string","description":"Token of the Rate's servicelevel, e.g. `usps_priority` or `fedex_ground`.\nSee [servicelevels](/shippoapi/public-api/service-levels).","uniqueKey":"rates.items.[INDEX].servicelevel.parent_servicelevel.token","typeLabel":"string"},"extended_token":{"type":"string","description":"Unique, extended version of the Service Level \"token\".\nGuaranteed to be unique across all Service Levels, and may help offer insight into the specific Service Level it describes.","uniqueKey":"rates.items.[INDEX].servicelevel.parent_servicelevel.extended_token","typeLabel":"string"}},"uniqueKey":"rates.items.[INDEX].servicelevel.parent_servicelevel","typeLabel":"object"}},"isRequired":true,"uniqueKey":"rates.items.[INDEX].servicelevel","typeLabel":"object"},"shipment":{"example":"adcfdddf8ec64b84ad22772bce3ea37a","type":"string","isRequired":true,"uniqueKey":"rates.items.[INDEX].shipment","typeLabel":"string"},"arrives_by":{"type":"string","example":"08:30:00","description":"Predicted time the carrier will deliver the package in the destination's local time zone. In the format `HH:MM:SS`.","uniqueKey":"rates.items.[INDEX].arrives_by","typeLabel":"string"},"duration_terms":{"example":"Delivery in 1 to 3 business days","type":"string","description":"Further clarification of the transit times.\nOften, this includes notes that the transit time as given in \"days\" is only an average, not a guaranteed time.","uniqueKey":"rates.items.[INDEX].duration_terms","typeLabel":"string"},"estimated_days":{"example":2,"format":"int64","type":"integer","description":"Estimated transit time (duration) in days of the Parcel at the given servicelevel.\nPlease note that this is not binding, but only an average value as given by the provider.\nShippo is not able to guarantee any transit times.","uniqueKey":"rates.items.[INDEX].estimated_days","typeLabel":"integer\u003cint64>"},"included_insurance_price":{"example":"1.05","type":"string","description":"Cost to the user to insure the Rate for the requested amount of coverage, if insurance coverage was requested.\nExpressed in the currency used in the sender's country. Will be null if no insurance coverage was requested, or if insurance is requested from a non-standard insurance provider.\nPlease note this price is already included in the `amount` and `amount_local` fields on the Rate. Do not add this field to them.","uniqueKey":"rates.items.[INDEX].included_insurance_price","typeLabel":"string"},"messages":{"items":{"description":"Message returned with supporting information from a request. In some cases this can be an error message, for example a timeout from a carrier. If available, the origin of the message is displayed in `source`.","properties":{"source":{"description":"Origin of message","example":"UPS","type":"string","uniqueKey":"rates.items.[INDEX].messages.items.[INDEX].source","typeLabel":"string"},"code":{"description":"Classification of message","example":"carrier_timeout","type":"string","uniqueKey":"rates.items.[INDEX].messages.items.[INDEX].code","typeLabel":"string"},"text":{"description":"Message content","example":"UPS API did not respond. Please try again in a few minutes.","type":"string","uniqueKey":"rates.items.[INDEX].messages.items.[INDEX].text","typeLabel":"string"}},"type":"object","uniqueKey":"rates.items.[INDEX].messages.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"rates.items.[INDEX].messages","typeLabel":"object[]"},"provider_image_75":{"example":"https://cdn2.goshippo.com/providers/75/USPS.png","type":"string","description":"URL to the provider logo with max. dimensions of 75*75px.\nPlease refer to the provider's Logo Usage Guidelines before using the logo.","uniqueKey":"rates.items.[INDEX].provider_image_75","typeLabel":"string"},"provider_image_200":{"example":"https://cdn2.goshippo.com/providers/200/USPS.png","type":"string","description":"URL to the provider logo with max. dimensions of 200*200px.\nPlease refer to the provider's Logo Usage Guidelines before using the logo.","uniqueKey":"rates.items.[INDEX].provider_image_200","typeLabel":"string"},"test":{"type":"boolean","description":"Indicates whether the object has been created in test mode.","uniqueKey":"rates.items.[INDEX].test","typeLabel":"boolean"},"zone":{"type":"string","example":"1","description":"The parcel's transit zone token. These tokens can vary depending on the provider.","uniqueKey":"rates.items.[INDEX].zone","typeLabel":"string"}},"uniqueKey":"rates.items.[INDEX]","typeLabel":"object"},"type":"array","description":"An array with all available rates. If `async` has been set to `false` in the request, this will be populated with all available rates in the response. Otherwise rates will be created asynchronously and this array will initially be empty.","isRequired":true,"uniqueKey":"rates","typeLabel":"object[]"},"status":{"enum":["ERROR","QUEUED","SUCCESS","WAITING"],"example":"QUEUED","type":"string","description":"`Waiting` shipments have been successfully submitted but not yet been processed. \n`Queued` shipments are currently being processed. \n`Success` shipments have been processed successfully, meaning that rate generation has concluded. \n`Error` does not occur currently and is reserved for future use.","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"extra":{"title":"Shipment Extra","x-tags":["Shipments"],"description":"An object holding optional extra services to be requested.","properties":{"accounts_receivable_customer_account":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.accounts_receivable_customer_account.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.accounts_receivable_customer_account.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.accounts_receivable_customer_account.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom accounts receivable customer account reference to UPS labels.","type":"object","uniqueKey":"extra.accounts_receivable_customer_account","typeLabel":"object"},"alcohol":{"description":"Indicates that a shipment contains Alcohol (Fedex and UPS only).","properties":{"contains_alcohol":{"type":"boolean","description":"Mandatory for Fedex and UPS. Specifies that the package contains Alcohol.","uniqueKey":"extra.alcohol.contains_alcohol","typeLabel":"boolean"},"recipient_type":{"enum":["licensee","consumer"],"description":"Mandatory for Fedex only. License type of the recipient of the Alcohol Package.","type":"string","uniqueKey":"extra.alcohol.recipient_type","typeLabel":"enum\u003cstring>"}},"type":"object","uniqueKey":"extra.alcohol","typeLabel":"object"},"ancillary_endorsement":{"enum":["FORWARDING_SERVICE_REQUESTED","RETURN_SERVICE_REQUESTED"],"description":"Specify an ancillary service endorsement to provide the USPS with instructions on how to handle undeliverable-as-addressed pieces (DHL eCommerce only).","type":"string","uniqueKey":"extra.ancillary_endorsement","typeLabel":"enum\u003cstring>"},"appropriation_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.appropriation_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.appropriation_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.appropriation_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom appropriation number reference to UPS labels.","type":"object","uniqueKey":"extra.appropriation_number","typeLabel":"object"},"authority_to_leave":{"type":"boolean","description":"Request `true` to give carrier permission to leave the parcel in a safe place if no one answers the door (where supported). When set to `false`, if no one is available to receive the item, the parcel will not be left (*surcharges may be applicable).","uniqueKey":"extra.authority_to_leave","typeLabel":"boolean"},"bill_of_lading_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.bill_of_lading_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.bill_of_lading_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.bill_of_lading_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom bill of lading number reference to UPS labels.","type":"object","uniqueKey":"extra.bill_of_lading_number","typeLabel":"object"},"billing":{"description":"Specify billing details (UPS, FedEx, and DHL Germany only).","properties":{"account":{"type":"string","description":"Account number to be billed. (For DHL Germany, leave this field blank.)","uniqueKey":"extra.billing.account","typeLabel":"string"},"country":{"type":"string","format":"iso-3166","description":"Country iso2 code of account number to be billed (required for UPS third party billing only).","uniqueKey":"extra.billing.country","typeLabel":"string\u003ciso-3166>"},"participation_code":{"type":"string","description":"2 digit code used to override your default participation code associated with your DHL Germany account.","uniqueKey":"extra.billing.participation_code","typeLabel":"string"},"type":{"enum":["SENDER","RECIPIENT","THIRD_PARTY","THIRD_PARTY_CONSIGNEE","COLLECT"],"description":"Party to be billed. (Leave blank for DHL Germany.)","type":"string","uniqueKey":"extra.billing.type","typeLabel":"enum\u003cstring>"},"zip":{"type":"string","description":"ZIP code of account number to be billed (required for UPS if there is a zip on the billing account).","uniqueKey":"extra.billing.zip","typeLabel":"string"}},"type":"object","uniqueKey":"extra.billing","typeLabel":"object"},"bypass_address_validation":{"type":"boolean","description":"Bypasses address validation (USPS, UPS, \u0026 LaserShip only).","uniqueKey":"extra.bypass_address_validation","typeLabel":"boolean"},"carbon_neutral":{"type":"boolean","description":"Request carbon offsets by passing true (UPS only).","uniqueKey":"extra.carbon_neutral","typeLabel":"boolean"},"carrier_hub_id":{"type":"string","description":"Identifies the carrier injection site.","uniqueKey":"extra.carrier_hub_id","typeLabel":"string"},"carrier_hub_travel_time":{"type":"integer","description":"Travel time in hours from fulfillment center to carrier injection site.","uniqueKey":"extra.carrier_hub_travel_time","typeLabel":"integer"},"COD":{"description":"Specify collection on delivery details (UPS only).","properties":{"amount":{"description":"Amount to be collected.","example":"5.5","type":"string","uniqueKey":"extra.COD.amount","typeLabel":"string"},"currency":{"description":"Currency for the amount to be collected. Currently only USD is supported for UPS.","example":"USD","type":"string","uniqueKey":"extra.COD.currency","typeLabel":"string"},"payment_method":{"description":"Secured funds include money orders, certified cheques and others (see [UPS](https://www.ups.com/content/us/en/shipping/time/service/value_added/cod.html) for details).\nIf no payment_method inputted the value defaults to \"ANY\".)","enum":["SECURED_FUNDS","CASH","ANY"],"example":"CASH","type":"string","uniqueKey":"extra.COD.payment_method","typeLabel":"enum\u003cstring>"}},"title":"COD Specify collection on delivery details (UPS only).","type":"object","uniqueKey":"extra.COD","typeLabel":"COD Specify collection on delivery details (UPS only). · object"},"cod_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.cod_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.cod_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.cod_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom COD number reference to UPS labels.","type":"object","uniqueKey":"extra.cod_number","typeLabel":"object"},"container_type":{"type":"string","description":"Specify container type.","uniqueKey":"extra.container_type","typeLabel":"string"},"critical_pull_time":{"type":"string","description":"Carrier arrival time to pickup packages from the fulfillment center.\nUTC format: `%Y-%m-%dT%H:%M:%SZ`","uniqueKey":"extra.critical_pull_time","typeLabel":"string"},"customer_branch":{"type":"string","description":"Specify customer branch (Lasership only).","uniqueKey":"extra.customer_branch","typeLabel":"string"},"customer_reference":{"description":"Specify the reference field on the label (FedEx and UPS only).","properties":{"prefix":{"type":"string","description":"Custom prefix for customer reference field (ZPL labels only). Up to 11 characters, including trailing spaces. Empty string indicates removal of default prefix. To use the default prefix, do not include this property.","uniqueKey":"extra.customer_reference.prefix","typeLabel":"string"},"value":{"type":"string","maxLength":40,"description":"Optional text to be printed on the shipping label for customer reference. Up to 40 characters. If\nthis is provided, reference_1 will be ignored.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 40 characters (Express services); Max 30 characters (Ground services) |","uniqueKey":"extra.customer_reference.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.customer_reference.ref_sort","typeLabel":"integer"}},"type":"object","uniqueKey":"extra.customer_reference","typeLabel":"object"},"dangerous_goods":{"description":"Container for specifying the presence of dangerous materials. This is specific to USPS, and if any contents are provided, only certain USPS service levels will be eligible. For more information, see our [guide on hazardous or dangerous materials shipping](https://docs.goshippo.com/docs/shipments/hazmat/).","properties":{"contains":{"type":"boolean","description":"Indicates if the shipment contains dangerous goods.","uniqueKey":"extra.dangerous_goods.contains","typeLabel":"boolean"},"biological_material":{"description":"Container for specifying the presence of biological material.","properties":{"contains":{"type":"boolean","description":"Indicates if the shipment contains biological material.","uniqueKey":"extra.dangerous_goods.biological_material.contains","typeLabel":"boolean"}},"type":"object","uniqueKey":"extra.dangerous_goods.biological_material","typeLabel":"object"},"lithium_batteries":{"description":"Container for specifying the presence of lithium batteries.","properties":{"contains":{"type":"boolean","description":"Indicates if the shipment contains lithium batteries.","uniqueKey":"extra.dangerous_goods.lithium_batteries.contains","typeLabel":"boolean"}},"type":"object","uniqueKey":"extra.dangerous_goods.lithium_batteries","typeLabel":"object"}},"type":"object","uniqueKey":"extra.dangerous_goods","typeLabel":"object"},"dangerous_goods_code":{"enum":["01","02","03","04","05","06","07","08","09"],"description":"Dangerous Goods Code (DHL eCommerce only). See [Category Codes](https://api-legacy.dhlecs.com/docs/v2/appendix.html#dangerous-goods)","type":"string","uniqueKey":"extra.dangerous_goods_code","typeLabel":"enum\u003cstring>"},"dealer_order_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.dealer_order_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.dealer_order_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.dealer_order_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom dealer order number reference to UPS labels.","type":"object","uniqueKey":"extra.dealer_order_number","typeLabel":"object"},"delivery_instructions":{"type":"string","description":"Specify delivery instructions. Up to 500 characters (Purolator accepts up to 30 characters). (FedEx, OnTrac and Purolator only).","uniqueKey":"extra.delivery_instructions","typeLabel":"string"},"dept_number":{"description":"Specify the department number field on the label (FedEx and UPS only).","properties":{"prefix":{"type":"string","description":"Custom prefix for department number field (ZPL labels only). Up to 11 characters, including trailing spaces. Empty string indicates removal of default prefix. To use the default prefix, do not include this property.","uniqueKey":"extra.dept_number.prefix","typeLabel":"string"},"value":{"type":"string","maxLength":40,"description":"Optional text to be printed on the shipping label for department number. Up to 40 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 30 characters |","uniqueKey":"extra.dept_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":3,"uniqueKey":"extra.dept_number.ref_sort","typeLabel":"integer"}},"type":"object","uniqueKey":"extra.dept_number","typeLabel":"object"},"dry_ice":{"description":"Specify that the package contains Dry Ice (FedEx, Veho, and UPS only).","properties":{"contains_dry_ice":{"type":"boolean","description":"Mandatory. Specifies that the package contains Dry Ice.","uniqueKey":"extra.dry_ice.contains_dry_ice","typeLabel":"boolean"},"weight":{"type":"string","description":"Mandatory. Units must be in Kilograms. Cannot be greater than package weight.","uniqueKey":"extra.dry_ice.weight","typeLabel":"string"}},"type":"object","uniqueKey":"extra.dry_ice","typeLabel":"object"},"fda_product_code":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.fda_product_code.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.fda_product_code.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.fda_product_code.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom FDA product code reference to UPS labels.","type":"object","uniqueKey":"extra.fda_product_code","typeLabel":"object"},"fulfillment_center":{"type":"string","description":"The fulfilment center where the package originates from.","uniqueKey":"extra.fulfillment_center","typeLabel":"string"},"healthcare_handling":{"description":"Requests the carrier's healthcare handling program, where the carrier offers one. The rate returned keeps the carrier's\nregular service level token.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| Purolator | Maps to Health Care+. Domestic Express services only (Express, Express 9AM, Express 10:30AM, Express Evening). Available to Purolator-approved accounts only. |","properties":{"enabled":{"type":"boolean","description":"Set to `true` to request the carrier's healthcare handling program for this shipment.","uniqueKey":"extra.healthcare_handling.enabled","typeLabel":"boolean"}},"type":"object","uniqueKey":"extra.healthcare_handling","typeLabel":"object"},"insurance":{"description":"To add 3rd party insurance powered by [XCover](https://docs.goshippo.com/docs/shipments/shippinginsurance/), specify `amount`, `content`, and `currency`. Alternatively, you can choose carrier provided insurance by additionally specifying `provider` (UPS, FedEx and OnTrac only).\n\nIf you do not want to add insurance to your shipment, do not set these parameters.","properties":{"amount":{"description":"Declared value of the goods you want to insure.","example":"5.5","type":"string","uniqueKey":"extra.insurance.amount","typeLabel":"string"},"content":{"type":"string","description":"Description of package content.","uniqueKey":"extra.insurance.content","typeLabel":"string"},"currency":{"example":"USD","type":"string","format":"iso-4217","description":"Currency for the amount value.\nCurrently only USD is supported for FedEx and UPS.","uniqueKey":"extra.insurance.currency","typeLabel":"string\u003ciso-4217>"},"provider":{"enum":["FEDEX","UPS","ONTRAC"],"description":"To have insurance cover provided by a carrier directly instead of Shippo's provider (XCover), set `provider` to `FEDEX`, `UPS`, or `ONTRAC`.","type":"string","uniqueKey":"extra.insurance.provider","typeLabel":"enum\u003cstring>"}},"type":"object","uniqueKey":"extra.insurance","typeLabel":"object"},"invoice_number":{"description":"Specify the invoice number field on the label (FedEx and UPS only).","properties":{"prefix":{"type":"string","description":"Custom prefix for invoice number field (ZPL labels only). Up to 11 characters, including trailing spaces. Empty string indicates removal of default prefix. To use the default prefix, do not include this property.","uniqueKey":"extra.invoice_number.prefix","typeLabel":"string"},"value":{"type":"string","maxLength":40,"description":"Optional text to be printed on the shipping label for invoice number. Up to 40 characters. If\nprovided, this will be used on the label instead of shipment.customs_declaration.invoice.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 30 characters |","uniqueKey":"extra.invoice_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":2,"uniqueKey":"extra.invoice_number.ref_sort","typeLabel":"integer"}},"type":"object","uniqueKey":"extra.invoice_number","typeLabel":"object"},"is_return":{"type":"boolean","description":"This field specifies if it is a scan-based return shipment. See the [Create a return shipment](https://docs.goshippo.com/docs/shipments/returns/) section for more details.","uniqueKey":"extra.is_return","typeLabel":"boolean"},"lasership_attrs":{"description":"Specify Lasership Attributes (Lasership only). Multiple options accepted.","items":{"type":"string","enum":["TwoPersonDelivery","Explosive","Alcohol","Hazmat","ControlledSubstance","Refrigerated","DryIce","Perishable","NoRTS"],"uniqueKey":"extra.lasership_attrs.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","uniqueKey":"extra.lasership_attrs","typeLabel":"enum\u003cstring>[]"},"lasership_declared_value":{"type":"string","description":"Declared value (Lasership only). Defaults to `50.00`.","uniqueKey":"extra.lasership_declared_value","typeLabel":"string"},"manifest_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.manifest_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.manifest_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.manifest_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom manifest number reference to UPS labels.","type":"object","uniqueKey":"extra.manifest_number","typeLabel":"object"},"model_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.model_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.model_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.model_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom model number reference to UPS labels.","type":"object","uniqueKey":"extra.model_number","typeLabel":"object"},"part_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.part_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.part_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.part_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom part number reference to UPS labels.","type":"object","uniqueKey":"extra.part_number","typeLabel":"object"},"po_number":{"description":"Specify the PO number field on the label (FedEx and UPS only).","properties":{"prefix":{"type":"string","description":"Custom prefix for PO number field (ZPL labels only). Up to 11 characters, including trailing spaces. Empty string indicates removal of default prefix. To use the default prefix, do not include this property.","uniqueKey":"extra.po_number.prefix","typeLabel":"string"},"value":{"type":"string","maxLength":40,"description":"Optional text to be printed on the shipping label for PO number. Up to 40 characters. If\nthis is provided, reference_2 will be ignored.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 30 characters |","uniqueKey":"extra.po_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":2,"uniqueKey":"extra.po_number.ref_sort","typeLabel":"integer"}},"type":"object","uniqueKey":"extra.po_number","typeLabel":"object"},"preferred_delivery_timeframe":{"enum":["10001200","12001400","14001600","16001800","18002000","19002100"],"description":"Required for DHL Germany Paket Sameday. Designates a desired timeframe for delivery. Format is `HHMMHHMM`","type":"string","uniqueKey":"extra.preferred_delivery_timeframe","typeLabel":"enum\u003cstring>"},"premium":{"type":"boolean","description":"Add premium service to a shipment (DHL Germany international shipments only).","uniqueKey":"extra.premium","typeLabel":"boolean"},"production_code":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.production_code.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.production_code.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.production_code.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom product code reference to UPS labels.","type":"object","uniqueKey":"extra.production_code","typeLabel":"object"},"purchase_request_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.purchase_request_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.purchase_request_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.purchase_request_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom purchase request number reference to UPS labels.","type":"object","uniqueKey":"extra.purchase_request_number","typeLabel":"object"},"qr_code_requested":{"type":"boolean","description":"Request a QR code for a given transaction when creating a shipping label (USPS domestic and Evri UK only).","uniqueKey":"extra.qr_code_requested","typeLabel":"boolean"},"reference_1":{"type":"string","maxLength":50,"description":"Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 40 characters (Express services); Max 30 characters (Ground services) |\n| Purolator | Max 25 characters |","uniqueKey":"extra.reference_1","typeLabel":"string"},"reference_2":{"type":"string","maxLength":50,"description":"Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters. For DHL eCommerce, this field can be used for billing reference.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 30 characters |\n| Purolator | Max 25 characters |","uniqueKey":"extra.reference_2","typeLabel":"string"},"reference_3":{"type":"string","maxLength":50,"description":"Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| Purolator | Max 25 characters |","uniqueKey":"extra.reference_3","typeLabel":"string"},"reference_4":{"type":"string","maxLength":50,"description":"Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| Purolator | Max 25 characters |","uniqueKey":"extra.reference_4","typeLabel":"string"},"request_retail_rates":{"type":"boolean","description":"Returns retail rates instead of account-based rates (UPS and FedEx only).","uniqueKey":"extra.request_retail_rates","typeLabel":"boolean"},"return_service_type":{"oneOf":[{"type":"string","description":"Request additional return option for return shipments (UPS and Lasership only).","enum":["PRINT_AND_MAIL","ATTEMPT_1","ATTEMPT_3","ELECTRONIC_LABEL"],"uniqueKey":"extra.return_service_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Request additional return option for return shipments (UPS and Lasership only).","enum":["NO_RETURN"],"uniqueKey":"extra.return_service_type.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"extra.return_service_type","typeLabel":"enum\u003cstring>"},"rma_number":{"description":"Specify the RMA number field on the label (FedEx and UPS only).","properties":{"prefix":{"type":"string","description":"Custom prefix for RMA number field (ZPL labels only). Up to 11 characters, including trailing spaces. Empty string indicates removal of default prefix. To use the default prefix, do not include this property.","uniqueKey":"extra.rma_number.prefix","typeLabel":"string"},"value":{"type":"string","maxLength":40,"description":"Optional text to be printed on the shipping label for RMA number. Up to 40 characters.\n\n**Carrier-Specific Constraints:**\n| Carrier | Constraints |\n|:---|:---|\n| FedEx | Max 20 characters |","uniqueKey":"extra.rma_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.rma_number.ref_sort","typeLabel":"integer"}},"type":"object","uniqueKey":"extra.rma_number","typeLabel":"object"},"saturday_delivery":{"type":"boolean","description":"Marks shipment as to be delivered on a Saturday.","uniqueKey":"extra.saturday_delivery","typeLabel":"boolean"},"salesperson_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.salesperson_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.salesperson_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.salesperson_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom salesperson number reference to UPS labels.","type":"object","uniqueKey":"extra.salesperson_number","typeLabel":"object"},"serial_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.serial_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.serial_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.serial_number.ref_sort","typeLabel":"integer"}},"description":"UPS only. Adds custom serial number reference to UPS labels.","type":"object","uniqueKey":"extra.serial_number","typeLabel":"object"},"signature_confirmation":{"enum":["STANDARD","ADULT","CERTIFIED","INDIRECT","CARRIER_CONFIRMATION"],"description":"Request standard or adult signature confirmation. You can alternatively request Certified Mail (USPS only) or Indirect signature (FedEx only) or Carrier Confirmation (Deutsche Post only).","type":"string","uniqueKey":"extra.signature_confirmation","typeLabel":"enum\u003cstring>"},"store_number":{"properties":{"prefix":{"type":"string","description":"Custom prefix text.","example":"ABC","uniqueKey":"extra.store_number.prefix","typeLabel":"string"},"value":{"type":"string","description":"Label reference text. 35 character limit.","example":"value","uniqueKey":"extra.store_number.value","typeLabel":"string"},"ref_sort":{"type":"integer","description":"Order UPS reference fields are printed on ZPL labels. For UPS shipments, if you choose to set `ref_sort` for one reference, you must set `ref_sort` for all other supported UPS references using unique integers.","example":1,"uniqueKey":"extra.store_number.ref_sort","typeLabel":"inte
[...]
